import React from 'react';
import { useDispatch, useSelector } from 'react-redux';
import { fetchIP } from './fetchIP';

export default function StepCounter() {
  const counter = useSelector((state) => state.count);
  const dispatch = useDispatch();

  return (
    <div className='niceButtons'>
      <button className='button' onClick={() => dispatch({ type: 'counter/dec1' })}>-</button>
      <span>{counter}</span>
      <button className='button' onClick={() => dispatch({ type: 'counter/inc1' })}>+</button>
      <hr />
      <button className='button' onClick={() => dispatch(fetchIP)}>Load</button>
    </div>
  );
}
