const initialState = {
  count: 0,
};

export default function counterReducer(state = initialState, action) {
  switch (action.type) {
    case 'counter/inc1':
      return { ...state, count: state.count + 1 };
    case 'counter/dec1':
      return { ...state, count: state.count - 1 };
    case 'counter/setTo':
      return { ...state, count: action.payload };
    default:
      return state;
  }
}
